JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ARAHostModel::DeletionListener Struct Referenceabstract
juce_audio_processors » format_types

This class is used internally by PlaybackRegionRegistry to be notified when a PlaybackRegion object is deleted. More...

`#include <juce_ARAHosting.h>`

## Public Member Functions
virtual | ~DeletionListener ()=default
| Destructor.
virtual void | removeListener (DeletionListener &other) noexcept=0
| Removes another DeletionListener object from this DeletionListener.

## Detailed Description

This class is used internally by PlaybackRegionRegistry to be notified when a PlaybackRegion object is deleted.

## Constructor & Destructor Documentation

## ◆ ~DeletionListener()

virtual ARAHostModel::DeletionListener::~DeletionListener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ removeListener()

virtual void ARAHostModel::DeletionListener::removeListener | ( | DeletionListener & | other | ) |
| pure virtual noexcept

Removes another DeletionListener object from this DeletionListener.

The documentation for this struct was generated from the following file:

- juce_ARAHosting.h